/*
 *  Copyright (c) 1998-2004, The University of Sheffield.
 *
 *  This file is part of GATE (see http://gate.ac.uk/), and is free
 *  software, licenced under the GNU Library General Public License,
 *  Version 2, June 1991 (in the distribution as file licence.html,
 *  and also available at http://gate.ac.uk/gate/licence.html).
 *
 *  Valentin Tablan 17/05/2002
 *
 *  $Id: FeatureReader.java,v 1.2 2004/07/21 17:10:04 akshay Exp $
 *
 */
package gate.creole.ir;

import gate.Document;

/**
 * A property reader for a document feature
 */
public class FeatureReader implements PropertyReader {

  public FeatureReader(String featureName){
    this.featureName = featureName;
  }

  public String getPropertyValue(Document doc) {
    if(doc.getFeatures() != null){
      Object value = doc.getFeatures().get(featureName);
      if(value != null) return value.toString();
    }
    return "";
  }

  String featureName;
  static final long serialVersionUID = -2831603184521440396L;
}